Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.migration
Class SessionInfo

`java.lang.Object
oracle.jbo.uicli.migration.SessionInfo`

public class SessionInfo
extends java.lang.Object

Constructor Summary
`SessionInfo()`

Method Summary
`java.lang.String` | `getAppModuleName()`
`java.lang.String` | `getAppPackage()`
`java.lang.String` | `getDataModelName()`
`java.lang.String` | `getLocalConnName()`
`java.lang.String` | `getPanelBindName()`
`java.lang.String` | `getSessionInfoName()`
`java.lang.String` | `getSessionName()`
`void` | `setAppModuleName(java.lang.String newAppModuleName)`
`void` | `setAppPackage(java.lang.String newAppPackage)`
`void` | `setDataModelName(java.lang.String newDataModelName)`
`void` | `setLocalConnName(java.lang.String newLocalConnName)`
`void` | `setPanelBindName(java.lang.String newPanelBindName)`
`void` | `setSessionInfoName(java.lang.String newSessionInfoName)`
`void` | `setSessionName(java.lang.String newSName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionInfo

    public SessionInfo()

Method Detail

### getSessionName

    public java.lang.String getSessionName()

### setSessionName

    public void setSessionName(java.lang.String newSName)

### getSessionInfoName

    public java.lang.String getSessionInfoName()

### setSessionInfoName

    public void setSessionInfoName(java.lang.String newSessionInfoName)

### getAppPackage

    public java.lang.String getAppPackage()

### setAppPackage

    public void setAppPackage(java.lang.String newAppPackage)

### getAppModuleName

    public java.lang.String getAppModuleName()

### setAppModuleName

    public void setAppModuleName(java.lang.String newAppModuleName)

### getLocalConnName

    public java.lang.String getLocalConnName()

### setLocalConnName

    public void setLocalConnName(java.lang.String newLocalConnName)

### getDataModelName

    public java.lang.String getDataModelName()

### setDataModelName

    public void setDataModelName(java.lang.String newDataModelName)

### getPanelBindName

    public java.lang.String getPanelBindName()

### setPanelBindName

    public void setPanelBindName(java.lang.String newPanelBindName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.